# $Revision: 1.47.2.2 $, $Date: 2003/12/04 03:36:24 $
# Conditional build:
# _without_ssl - build without encryption ability

Summary:	Virtual tunnel over TCP/IP networks
Summary(pl):	Wirtualne tunele poprzez sieci TCP/IP
Name:		vtun
Version:	2.5
Release:	5
Epoch:		2
License:	GPL
Group:		Networking/Daemons
Vendor:		Maxim Krasnyansky <max_mk@yahoo.com>
Source0:	http://prdownloads.sourceforge.net/vtun/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-expect.patch
Patch2:		%{name}-autoheader.patch
Patch3:		%{name}-getpt.patch
Patch4:		%{name}-sslauth.patch
URL:		http://vtun.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	lzo-devel
%{!?_without_ssl:BuildRequires:	openssl-devel >= 0.9.6k}
BuildRequires:	zlib-devel
BuildRequires:	bison
BuildRequires:	flex
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	vppp

%define		_localstatedir	/var

%description
VTun provides the method for creating Virtual Tunnels over TCP/IP
networks and allows to shape, compress, encrypt traffic in that
tunnels. Supported type of tunnels are: PPP, IP, Ethernet and most of
other serial protocols and programs. VTun is easily and highly
configurable, it can be used for various network task like VPN, Mobil
IP, Shaped Internet access, IP address saving, etc. It is completely
user space implementation and does not require modification to any
kernel parts. You need SSLeay-devel and lzo-devel to build it.

%description -l pl
VTun umoliwia tworzenie Wirtualnych Tunelu poprzez sieci TCP/IP wraz
z przydzielaniem pasma, kompresj, szyfrowaniem danych w tunelach.
Wspierane typy tuneli to: PPP, IP, Ethernet i wikszo pozostaych
protokow szeregowych.

%prep
%setup -q -n vtun
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure \
	%{!?_without_ssl:--with-crypto-headers=%{_includedir}/openssl} \
	%{?_without_ssl:--disable-ssl} \
	--enable-lzo
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_localstatedir}/log/vtun}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/vtund
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/vtun

gzip -9nf ChangeLog Credits README README.Setup README.Shaper FAQ TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vtund
if [ -f /var/lock/subsys/vtund ]; then
	/etc/rc.d/init.d/vtund restart >&2
else
	echo "Run \"/etc/rc.d/init.d/vtund start\" to start vtun daemons."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/vtund ]; then
		/etc/rc.d/init.d/vtund stop >&2
	fi
	/sbin/chkconfig --del vtund
fi

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(754,root,root) /etc/rc.d/init.d/vtund
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/vtun
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vtund.conf
%attr(755,root,root) %{_sbindir}/vtund
%attr(755,root,root) %dir /var/log/vtund
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vtun.spec,v $
Revision 1.47.2.2  2003/12/04 03:36:24  twittner
- BR: openssl-devel up to 0.9.6k

Revision 1.47.2.1  2003/07/11 12:04:34  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.47  2002/10/26 09:00:53  djrzulf
- release++,
- updated vtun.sysconfig,

Revision 1.46  2002/10/16 10:59:10  wrobell
- rel. 4 due to fixed init file
- stb

Revision 1.45  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.44  2002/05/21 23:14:54  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.43  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.42  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/18 00:59:33  kloczek
- fixed commit log.

Revision 1.40  2002/02/18 00:45:33  rrw
- finally enabled Arturcz Czechowski's patch allowing to ssl enabled vtun
  client connect to non-ssl enabled server (and vice-versa);
- release 3;

Revision 1.39  2002/02/18 00:42:48  rrw
- *** empty log message ***

Revision 1.38  2002/02/17 23:08:11  kloczek
- adapterized.

Revision 1.37  2002/02/17 21:38:19  rrw
- upgrade to vtun-2.5;
- removed obsolete iproute patch;
- added patch to bison source file allowing it to compile;
- sslauth option patch on hold for now since it changes default behaviour
  of vtund (would cause problems after upgrade);
- epoch: 2 (for rpm 2.5b1 is higher than 2.5);
- release: 1;

Revision 1.36  2002/01/18 02:15:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/11/08 11:33:23  zagrodzki
- autoheader and getpt patch
- call autoheader
- rel. 6

Revision 1.34  2001/10/11 09:58:20  qboosh
- BuildRequires: automake

Revision 1.33  2001/10/04 12:35:45  rrw
- added conditional --without ssl; I need it, OK?
- release 5;

Revision 1.32  2001/09/25 16:29:57  kloczek
- spec adapterized.

Revision 1.31  2001/09/25 14:13:31  qboosh
- release 4: Prereq: /sbin/chkconfig

Revision 1.30  2001/08/20 23:54:21  rrw
- added example config with iproute2;
- release 3;

Revision 1.29  2001/08/20 23:29:28  rrw
- added patch adding "ip" option for iproute command;
- release 2;

Revision 1.28  2001/08/20 21:17:49  rrw
- updated to version 2.5b1 (needed for linux 2.4 tun/tap support);
- added flex and bison to buildrequires: (needed to build);
- release 1;

Revision 1.27  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.25  2001/05/09 01:34:51  kloczek
- release 5: rebuild against openssl 0.9.6a.

Revision 1.24  2001/04/22 01:35:47  kloczek
- release 4: fixed init script (mis).

Revision 1.23  2001/04/10 20:25:03  kloczek
- cosmetics.

Revision 1.22  2001/04/10 19:17:12  mis
- added sysconfig file (release 3)

Revision 1.21  2001/02/25 04:06:57  kloczek
- release 2: added rc-scripts to Prereq.

Revision 1.20  2001/02/13 20:18:42  kloczek
- added automake, autoconf to BuildRequires list.

Revision 1.19  2001/02/13 20:01:24  zagrodzki
- added aclocal/autoconf

Revision 1.18  2001/02/12 17:37:34  zagrodzki
- updated to 2.4

Revision 1.17  2000/11/24 17:56:02  kloczek
- updated to 2.4b1.

Revision 1.16  2000/11/24 17:42:30  misiek
added pl description

Revision 1.15  2000/10/02 14:50:21  kloczek
- release 2: rebuild using new rpm.

Revision 1.14  2000/09/24 19:08:40  kloczek
- added misssing "BuildRequires: lzo-devel" rule.

Revision 1.13  2000/09/23 13:05:28  kloczek
- adapterized.

Revision 1.12  2000/09/23 12:20:28  waszi
- updated to 2.3

Revision 1.11  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/06/07 23:09:23  kloczek
- updated to 2.2,
- updated URL and Source url.

Revision 1.8  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.7  2000/04/10 06:22:10  kloczek
- cosmetics.

Revision 1.6  2000/04/10 06:15:29  waszi
- updated to 2.1b4

Revision 1.5  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.3  2000/03/20 22:05:41  kloczek
- added BuildRequires rules,
- standarized %post, %preun scripts,
- cosmetics.

Revision 1.2  2000/03/18 00:17:41  waszi
- updated to 2.1b3

Revision 1.1  2000/02/20 09:39:06  waszi
- initial release

* Tue Nov 23 1999 Dag Wieers <dag@mind.be>
- Added Url and Obsoletes-headers
- Added changelog ;)
- Changed summary
